// HEADER FILE
#pragma chip SX52, core 12 sx, code 4096, ram 10 : 0x10F
#pragma stackLevels 8 //make sure compiler uses 8 stacklevels for SX
#define _CHIP_SX52_
#define _CHIP_CODESIZE_ 0x1000
#define membank0 rambank -
#define membank1 rambank 1
#define membank2 rambank 2
#define membank3 rambank 3
#define membank4 rambank 4
#define membank5 rambank 5
#define membank6 rambank 6
#define membank7 rambank 7
#define membank8 rambank 8
#define membank9 rambank 9
#define membank10 rambank 10
#define membank11 rambank 11
#define membank12 rambank 12
#define membank13 rambank 13
#define membank14 rambank 14
#define membank15 rambank 15
#define membank16 rambank 0

/* RAM ADDRESS    BANKED  INDIRECT
   0x000 - 0x009  no      yes    : special purpose registers
   0x00A - 0x00F  no      yes    : unbanked RAM
   0x010 - 0x0FF  yes     yes    : RAM, bank 1 - 15 (16 byte each)
   0x100 - 0x10F  yes     no     : RAM, bank 0
*/

/* PREDEFINED:

  char W;
  char INDF, RTCC, PC, STATUS, FSR, RA, RB, RC, RD, RE;
  char INDF0, TMR0, PCL, PORTA, PORTB, PORTC, PORTD, PORTE; // optional
  char OPTION;

  /* STATUS : */   bit Carry, DC, Zero_, PD, TO, PA0, PA1, PA2;

  char MODE;
  char DDRA, PLP_A, LVL_A;
  char DDRB, PLP_B, LVL_B, ST_B, WKEN_B, WKED_B, WKPND_B, CMP_B;
  char DDRC, PLP_C, LVL_C, ST_C;
  char DDRD, PLP_D, LVL_D, ST_D;
  char DDRE, PLP_E, LVL_E, ST_E;
  char TRISA, TRISB, TRISC, TRISD, TRISE; // optional

  char T1CPL, T1CPH, T1R2CML, T1R2CMH, T1R1CML, T1R1CMH;
  char T1CNTB, T1CNTA,
  char T2CPL, T2CPH, T2R2CML, T2R2CMH, T2R1CML, T2R1CMH;
  char T2CNTB, T2CNTA;
*/
